package market.Cm.mapper;
import java.util.List;

import market.Cm.vo.CmCostDstResult;

import com.hnshituo.orm.GenericMapper;

public interface CmCostDstResultMapper extends GenericMapper<CmCostDstResult,Object> {
	
	//查询分配结果实绩
	public List<CmCostDstResult> doQueryCmCostDstResult(String condition);
	
	public Double doQuaryDataOriginValue(String table_name,String column_name,String prd_num,String org_code,String dst_item_code);
	
	public CmCostDstResult doQuaryDstItemBySign(String sign);
	
	public Double doCalculate(String sign);
		
	public void deleteByDstItemCodeFPrdnum(String dst_item_code_f,String prd_num);
	
	//获取同期的累计用量和累计成本
	public List<CmCostDstResult> doQuaryCcdrForCrcm(CmCostDstResult ccdr);
	
	//获取本年的实际用量和实际成本
	public List<CmCostDstResult> doQuaryTotalCcdrForCrcm(CmCostDstResult ccdr);
	
	//获取同期的实际用量和实际成本
	public List<CmCostDstResult> doQuarySameCcdrForCrcm(CmCostDstResult ccdr);
	
	//获取同期的累计用量和累计成本
	public List<CmCostDstResult> doQuarySameTotalCcdrForCrcm(CmCostDstResult ccdr);
}
